Subject: Re: Microsoft Foundation Classes
From: [email-masked] (Guy Gascoigne - Piggford)

22 Aug 1997 20:47:39 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

At 11:26 AM 8/18/97 -0700, Eric Britten wrote:
>As long as GCC supports all the syntax conventions of MFC you can
>compile it.  I know is uses a special keyword called afx_msg; it is used
>for window message handling.  I am not sure if there is a work around
>for this keyword.  This is your biggest problem to overcome.

Just in case you havn't found out, afx_msg isn't a keyword, it's defined in
afxwin.h and is simply used as a place holder for message handlers.

From the header file.

// Type modifier for message handlers
#ifndef afx_msg
#define afx_msg         // intentional placeholder
#endif

I havn't tried compiling this stuff with gcc though, I'd be interested in
knowing how it goes.

Guy

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".